# -*- coding: cp1252 -*-
# Cola-Automat.py

class ColaAutomat:
    def __init__(self, preis, maximal):
        self.anzahl = 0
        self.betrag = 0
        self.preis = preis
        self.maximal = maximal
        
    # Fllt eine Flasche in den Automaten.
    # Vorbedingung: Anzahl<maximal
    def Fuelle(self):
        if self.anzahl<self.maximal:
            self.anzahl+=1
        else:
            self.Fehlermeldung("Der Automat ist voll!")

    # Methode zum Ausgeben der Fehlermeldung
    def Fehlermeldung(self, text):
        print text

    # Kunde wirft Geld ein
    # Vorbedingung: Cola vorhanden
    def GeldEinwerfen(self, geld):
        if self.anzahl==0:
            self.Fehlermeldung("Der Automat ist leer!")
        else:
            self.betrag+=geld

    # Kunde drckt die Taste zum Kaufen einer Cola
    # Vorbedingung 1: Cola vorhanden
    # Vorbedingung 2: betrag>=preis
    def Kaufe(self):
        if self.anzahl==0:
            self.Fehlermeldung("Der Automat ist leer!")
        elif self.betrag<self.preis:
            self.Fehlermeldung("Zu wenig eingeworfen!")
        else:
            self.anzahl-=1
            self.betrag-=self.preis
            self.ColaWirdAusgeworfen()

    def ColaWirdAusgeworfen(self):
        print "Cola wird ausgeworfen -->"
    
        
